Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl
Class EnglishReasonPhraseCatalog

    java.lang.Object
      org.apache.http.impl.EnglishReasonPhraseCatalog

All Implemented Interfaces:
  ReasonPhraseCatalog

    @Contract(threading=IMMUTABLE)
    public class EnglishReasonPhraseCatalog

extends Object
implements ReasonPhraseCatalog

English reason phrases for HTTP status codes. All status codes defined in RFC1945 (HTTP/1.0), RFC2616 (HTTP/1.1), and RFC2518 (WebDAV) are supported.

Since:
  4.0

Field Summary
`static EnglishReasonPhraseCatalog` | `INSTANCE` The default instance of this catalog.

Constructor Summary
`protected` | `EnglishReasonPhraseCatalog()` Restricted default constructor, for derived classes.

Method Summary
`String` | `getReason(int status, Locale loc)` Obtains the reason phrase for a status code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EnglishReasonPhraseCatalog INSTANCE

  The default instance of this catalog. This catalog is thread safe, so there typically is no need to create other instances.

Constructor Detail

### EnglishReasonPhraseCatalog

    protected EnglishReasonPhraseCatalog()

  Restricted default constructor, for derived classes. If you need an instance of this class, use `INSTANCE`.

Method Detail

### getReason

    public String getReason(int status,
                            Locale loc)

  Obtains the reason phrase for a status code.

  Specified by:
    `getReason` in interface `ReasonPhraseCatalog`
  Parameters:
    `status` - the status code, in the range 100-599
    `loc` - ignored
  Returns:
    the reason phrase, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.